
package com.lideeyunji.core.framework.config.aspect.enhance.model;

import com.lideeyunji.core.framework.entity.EnhanceSqlEntity;

import java.util.List;

/**
 * @author JX
 * @create 2024-08-21 15:52
 * @dedescription:
 */
public class BuildSqlEnhanceContext {


    private EnhanceContext context;

    private List<EnhanceSqlEntity> entitys;


    public EnhanceContext getContext() {
        return context;
    }

    public void setContext(EnhanceContext context) {
        this.context = context;
    }

    public List<EnhanceSqlEntity> getEntitys() {
        return entitys;
    }

    public void setEntitys(List<EnhanceSqlEntity> entitys) {
        this.entitys = entitys;
    }


    public BuildSqlEnhanceContext(EnhanceContext context, List<EnhanceSqlEntity> entitys) {
        this.context = context;
        this.entitys = entitys;
    }
}
